# Sharing your feedback on Snyk Code

Snyk Code enables you to share your feedback with Snyk directly from the Web UI. You can provide feedback about your overall experience with Snyk Code or a certain feature, or send a comment about a specific issue discovered by Snyk Code. Your feedback will be sent to Snyk Support, and you will receive a response within several weeks via your Snyk Account email. Your feedback is welcome and appreciated.

There are several places on the Web UI where you can share your feedback. From all these places, the same **Share feedback** dialog box is available:

* **Code Analysis** page – the **Share your feedback** option appears below the filter pane:

<figure><img src="../../../.gitbook/assets/Snyk Code - Results - Share Feddback - Code Analysis page.png" alt="Share feedback from Code Analysis page"><figcaption><p>Share feedback from Code Analysis page</p></figcaption></figure>

* **Full details** page for a vulnerability – the **Share your feedback** option appears on both the **Data flow** and **Fix analysis** tabs on the bottom left corner:

<figure><img src="../../../.gitbook/assets/Snyk Code - Results - Share Feddback - Issue page.png" alt="Share feedback from full details page"><figcaption><p>Share feedback from full details page</p></figcaption></figure>

**To share your feedback with Snyk Code:**

1\. On either the **Code Analysis** page or the **Full details** page for a specific issue, click the **Share Feedback** button:

<figure><img src="../../../.gitbook/assets/Snyk Code - Results - Share Feddback - Issue page - 2.png" alt="Share feedback button"><figcaption><p>Share feedback button</p></figcaption></figure>

2\. In the **Share feedback** dialog box, set the following:

* **How do you feel about this experience** – select the appropriate emoji.
* **Select from dropdown** – select from the dropdown list the type of feedback you want to share.
* **Message** – enter your feedback.

<figure><img src="../../../.gitbook/assets/Snyk Code - Results - Share Feddback - dialog box.png" alt="Share feedback dialog box"><figcaption><p>Share feedback dialog box</p></figcaption></figure>

3\. After you select and enter all the required information, click the **Send feedback** button.

Your feedback is sent to Snyk, and you will receive a response via your Snyk Account email.
